<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Vector3Ddata.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vector3_ddata_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Vector3Ddata.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vector3_ddata_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifndef VECTOR3DDATA_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define VECTOR3DDATA_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_vector3_ddata.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_vector3_ddata.html">Vector3Ddata</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a>, <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_ddata.html#aaac079dd0b5b3b5871dc20ff9e2678c2">Vector3Ddata</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">x</a> = 0, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">y</a> = 0,</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;               <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">z</a> = 0, uint32_t n = 1);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_ddata.html#af0aaa32502e8d4236de1574b7f542919">~Vector3Ddata</a>();</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_vector3_ddata.html#adf63288eac5bb9b7f988d5b7424d1aa4">XElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460">YElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_vector3_ddata.html#ab007f832df655ab26b249345e6eab2c7">ZElement</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;};</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif // VECTOR3DDATA_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html">flair::core::Vector3Ddata</a></div><div class="ttdoc">Class defining a 3D vector and a io_data User must manually use the io_data&#39;s Mutex to access to Vect...</div><div class="ttdef"><b>Definition:</b> Vector3Ddata.h:28</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html_a62a7b867d542c4aee7634f8a58b25256"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">flair::core::Vector3D::y</a></div><div class="ttdeci">T y</div><div class="ttdoc">y </div><div class="ttdef"><b>Definition:</b> Vector3D.h:56</div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html_ab0c47253b9de56abf0fbe9661f9e1812"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">flair::core::Vector3D::z</a></div><div class="ttdeci">T z</div><div class="ttdoc">z </div><div class="ttdef"><b>Definition:</b> Vector3D.h:61</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html_ab007f832df655ab26b249345e6eab2c7"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html#ab007f832df655ab26b249345e6eab2c7">flair::core::Vector3Ddata::ZElement</a></div><div class="ttdeci">IODataElement * ZElement(void) const </div><div class="ttdoc">Z Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html_adf63288eac5bb9b7f988d5b7424d1aa4"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html#adf63288eac5bb9b7f988d5b7424d1aa4">flair::core::Vector3Ddata::XElement</a></div><div class="ttdeci">IODataElement * XElement(void) const </div><div class="ttdoc">X Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html_abb356ca2add4d7cd62c3e1772ce84a4f"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">flair::core::Vector3D::x</a></div><div class="ttdeci">T x</div><div class="ttdoc">x </div><div class="ttdef"><b>Definition:</b> Vector3D.h:51</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html_a384d76d6e676ae8d0c231f9d2e27b460"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460">flair::core::Vector3Ddata::YElement</a></div><div class="ttdeci">IODataElement * YElement(void) const </div><div class="ttdoc">Y Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html_aaac079dd0b5b3b5871dc20ff9e2678c2"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html#aaac079dd0b5b3b5871dc20ff9e2678c2">flair::core::Vector3Ddata::Vector3Ddata</a></div><div class="ttdeci">Vector3Ddata(const Object *parent, std::string name, float x=0, float y=0, float z=0, uint32_t n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_ddata_html_af0aaa32502e8d4236de1574b7f542919"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_ddata.html#af0aaa32502e8d4236de1574b7f542919">flair::core::Vector3Ddata::~Vector3Ddata</a></div><div class="ttdeci">~Vector3Ddata()</div><div class="ttdoc">Destructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_vector3_ddata_8h.html">Vector3Ddata.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
